13sep e readers hero default

Kindle software must be updated

If you own an original Kindle Paperwhite (2012) or an earlier Kindle device, you need to update the software on your Kindle immediately or risk not being able to connect to the internet.

×

Choose what’s right for you with confidence

Join today and get instant access to all test results and research.

Join Consumer Now

From Tuesday 22 March 2016, any device from 2012 or earlier needs to be running the latest software or you won’t be able to download books from the Kindle store.

If you don’t update by Tuesday, you will receive a warning that “Your Kindle is unable to connect at this time...”

Kindles should download and install the latest updates automatically while they’re asleep. But if your device has been turned off for a while, it’s likely to need an update.

For more information on whether your device is affected and how to update, see the Amazon website.

Archive promo default

News, opinion and recalls

Want to see more articles like this? See our full lists of news, opinion and recalls.

Read more